#
# spec file for package apache2 (Version 2.0.49)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# neededforbuild  bc cyrus-sasl2-devel db-devel des ed expat heimdal-devel openldap2 openldap2-client openldap2-devel openssl openssl-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake bc binutils cyrus-sasl-devel db-devel e2fsprogs-devel ed expat gcc gdbm gettext heimdal-devel heimdal-lib libtool openldap2 openldap2-devel openssl-devel perl rpm

Name:         apache2
%define pname 		apache2
%define vers   		2
%define httpd 		httpd2
%define apache_mmn	%(test -s %{S:0} && { echo -n apache_mmn_; bzcat %{S:0} | awk '/^#define MODULE_MAGIC_NUMBER_MAJOR/ {printf "%d", $3}'; })
%define	default_mpm	prefork
%{!?perchild:%define perchild 0}
%{!?prefork:%define prefork 1}
%{!?worker:%define worker 1}
%{!?leader:%define leader 1}
%{!?metuxmpm:%define metuxmpm 1}
%define mpms_to_build	%(test %perchild = 1 && printf perchild) %(test %prefork = 1 && printf prefork) %(test %worker = 1 && printf worker) %(test %leader = 1 && printf leader) %(test %metuxmpm = 1 && printf metuxmpm)
# dir names
%if %suse_version > 800
%define datadir		/srv/www
%else
%define datadir		/usr/local/httpd
%endif
%define htdocsdir	%{datadir}/htdocs
%define manualdir	%{_prefix}/share/%{pname}/manual
%define errordir	%{_prefix}/share/%{pname}/error
%define iconsdir	%{_prefix}/share/%{pname}/icons
%define cgidir		%{datadir}/cgi-bin
%define localstatedir	/var/lib/apache2
%define proxycachedir 	/var/cache/apache2
%define logfiledir	/var/log/apache2
%define runtimedir	/var/run
%define sysconfdir	/etc/apache2
%define includedir 	%{_includedir}/%{pname}
%define libexecdir	%_libdir/%{pname}
%define installbuilddir	%{_prefix}/share/%{pname}/build
%define userdir		public_html
# "Server:" header
%if %ul_version >= 1
%define VENDOR UnitedLinux
%define platform_string	%VENDOR
%else
%define VENDOR SuSE
%define platform_string	Linux/%VENDOR
%endif
# in kernels < 2.4.21, sendfile64() is not implemented. glibc might export it nevertheless
%if %suse_version > 820
%{!?have_sendfile64:%define have_sendfile64 1}
%else
%{!?have_sendfile64:%define have_sendfile64 0}
%endif
# do not Enable Large File support (LFS) by default, because it changes the binary interface used by other modules.
%{!?build_with_LFS:%define build_with_LFS 0}
 
License:      Apache
Group:        Productivity/Networking/Web/Servers
Version:      2.0.49
Release:      27.45
Source0:      http://www.apache.org/dist/httpd-%{version}.tar.bz2
Source10:     SUSE-NOTICE
Source11:     rc.%{pname}
Source13:     sysconfig.%{pname}
Source14:     SuSEconfig.%{pname}
Source16:     certificate.sh
Source17:     mkcert.sh.gz
Source18:     robots.txt
Source20:     favicon.ico
Source22:     apache2-README.QUICKSTART
Source23:     apache2-README.QUICKSTART.SSL
Source231:    apache2-README.QUICKSTART.WebDAV
Source24:     apache2-README
Source25:     gensslcert
Source27:     %{pname}.logrotate
Source28:     permissions.%{pname}
Source29:     apache-ssl-stuff.tar.bz2
Source40:     load_configuration
Source41:     find_mpm
Source42:     get_module_list
Source42:     get_includes
Source43:     find_httpd2_includes
Source52:     apache2-reconfigure-mpm
Source100:    apache2-httpd.conf
Source101:    apache2-errors.conf
Source102:    apache2-default-server.conf
Source103:    apache2-listen.conf
Source104:    apache2-manual.conf
Source105:    apache2-mod_autoindex-defaults.conf
Source106:    apache2-mod_info.conf
Source107:    apache2-mod_log_config.conf
Source108:    apache2-mod_mime-defaults.conf
Source109:    apache2-mod_status.conf
Source110:    apache2-mod_userdir.conf
Source111:    apache2-server-tuning.conf
Source112:    apache2-uid.conf
Source113:    apache2-ssl-global.conf
Source114:    apache2-mod_usertrack.conf
Source130:    apache2-vhost.template
Source131:    apache2-vhost-ssl.template
Patch2:       httpd-2.0.36-layout.dif
Patch3:       httpd-2.0.44-apr-layout.dif
Patch10:      httpd-2.0.39-autoconf-2.53.dif
Patch11:      httpd-2.0.36-lib64.dif
Patch22:      httpd-2.0.40-openssl-version.dif
Patch23:      httpd-2.0.43-apachectl.dif
Patch50:      httpd-2.0.40-cache_util.c.diff
Patch51:      httpd-2.0.47-headtail.dif
Patch53:      httpd-2.0.45-anon-mmap.dif
Patch60:      httpd-2.0.47-metuxmpm-r7.diff
Patch61:      httpd-2.0.49-no-FD_SETSIZE-no-select.diff
Patch62:      httpd-2.0.49-tls-upgrade.patch
Patch621:     httpd-2.0.49-tls-upgrade-20041014.patch
Patch622:     httpd-2.0.49-tls-upgrade-20050301.patch
Patch63:      httpd-2.0.49-large_logfiles.patch
Patch64:      httpd-2.0.49-ssl_uuencode-buffersize.dif
Patch65:      httpd-2.0.49-CAN-2004-0493.dif
Patch66:      httpd-2.0.50-CAN-2004-0748-mod_ssl-input-filter-infinite-loop.dif
Patch67:      httpd-2.0.50-CAN-2004-0751-mod_ssl-proxied-request-segfault.dif
Patch68:      httpd-2.0.50-CAN-2004-0747-ENVVAR.dif
Patch69:      httpd-2.0.50-CAN-2004-0786-apr_uri_parse-IPv6-address-validation.dif
Patch70:      httpd-2.0.50-CAN-2004-0809-mod_dav-crash.dif
Patch71:      httpd-2.0.49-ldap-modules-2.0.52.dif.bz2
Patch72:      httpd-2.0.52-util_ldap_cache_mgr.c.dif
Patch73:      httpd-2.0.52-SSLCipherSuite-bypass-CAN-2004-0885.dif
Patch74:      httpd-2.0.52-memory-consumption-DoS-CAN-2004-0942.dif
Patch75:      httpd-2.0.49-s390-have-sendfile.dif
Patch76:      httpd-2.0.49-ssl_engine_io.c-shutdown.dif
Patch77:      httpd-2.0.52-CAN-2005-2088.dif
Patch78:      httpd-2.0.54-CAN-2005-1268-mod_ssl-crl.dif
Patch79:      apache2-bundled-pcre-5.0-CAN-2005-2491.dif
Patch80:      httpd-2.0.54-SSLVerifyClient-CAN-2005-2700.diff
Patch81:      httpd-2.0.54-ap_byterange-CAN-2005-2728.diff
Patch82:      httpd-2.0.49-mod_cgi.dif
Patch83:      httpd-2.0.54-ssl_engine_kernel.c-bug115300.dif
Patch84:      httpd-2.0.49-worker-memleak-CAN-2005-2970.dif
Patch85:      httpd-2.0.54-CVE-2005-3352-bug138083.dif
Patch86:      httpd-2.0.54-CVE-2005-3357-bug138083.dif
Patch87:      httpd-2.0.49-sctp-configure-check.dif
URL:          http://httpd.apache.org/
Icon:         Apache.xpm
Summary:      The Apache web server (version 2.0)
Autoreqprov:  on
Provides:     httpd http_daemon %{apache_mmn} suse_help_viewer
Requires:     apache2-MPM /etc/mime.types perl
Requires:     logrotate
Requires:     libapr0 = %{version}
%if %suse_version > 800
PreReq:       %insserv_prereq %fillup_prereq fileutils textutils grep sed shadow
%endif
%if %suse_version >= 901 && %sles_version == 0
Provides:     apache
Obsoletes:    apache < 1.3.29
Obsoletes:    mod_ssl < 2.8.16
%endif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Apache 2, the successor to Apache 1.

Apache is the most used webserver software world-wide.

Some new features in Apache 2: - hybrid multi-process,
   multi-threaded mode for improved scalability

- multi-protocol support

- stream filtering

- IPv6 support

- new module API

New modules: - mod_auth_db

- mod_auth_digest

- mod_charset_lite

- mod_dav

- mod_file_cache and much more.

Mod_ssl is no longer a separate package, but is now included in the
Apache distribution.

See /usr/share/doc/packages/apache2/, http://httpd.apache.org/, and
http://httpd.apache.org/docs-2.0/upgrading.html



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%if %worker
%package worker
Summary:      Apache 2 "worker" MPM (Multi-Processing Module)
Group:        Productivity/Networking/Web/Servers
Provides:     apache2-MPM
Requires:     %{name} = %{version}
%endif
%if %perchild
%package perchild
Summary:      Apache 2 "perchild" MPM (Multi-Processing Module)
Group:        Productivity/Networking/Web/Servers
Provides:     apache2-MPM
Requires:     %{name} = %{version}
%endif
%if %prefork
%package prefork
Summary:      Apache 2 "prefork" MPM (Multi-Processing Module)
Group:        Productivity/Networking/Web/Servers
Provides:     apache2-MPM
%if %suse_version >= 901 && %sles_version == 0
Provides:     apache:/usr/sbin/httpd
%endif
Requires:     %{name} = %{version}
%endif
%if %leader
%package leader
Summary:      Apache 2 "perchild" MPM (Multi-Processing Module)
Group:        Productivity/Networking/Web/Servers
Provides:     apache2-MPM
Requires:     %{name} = %{version}
%endif
%if %metuxmpm
%package metuxmpm
Summary:      Apache 2 Metux-MPM (Multi-Processing Module)
Group:        Productivity/Networking/Web/Servers
Provides:     apache2-MPM
Requires:     %{name} = %{version}
%endif
%if %worker

%description worker
"worker" MPM (multi-Processing Module) implementing a hybrid
multi-threaded multi-process web server.

This combination offers a performance boost and retains some of the
stability of the multiprocess model.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%endif
%if %perchild

%description perchild
"perchild" MPM (Multi-Processing Module)

Hybrid multithread/multiprocess server allowing for daemon processes
serving requests to run under different userids. EXPERIMENTAL.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%endif
%if %prefork

%description prefork
"prefork" MPM (Multi-Processing Module)

This MPM is basically the one that Apache 1.3.x used. It warrants the
maximum stability because each server runs in its own process. If a
process dies it will not affect other servers.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%endif
%if %leader

%description leader
"leader" MPM (Multi-Processing Module)

It uses a Leader/Followers design pattern to coordinate work among
threads: http://deuce.doc.wustl.edu/doc/pspdfs/lf.pdf

EXPERIMENTAL.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%endif
%if %metuxmpm

%description metuxmpm
Metux-MPM (Multi-Processing Module)

This MPM is EXPERIMENTAL!

Metuxmpm allows Apache 2.0 to run VirtualHosts under different user
IDs. Some other modules such as mod_cgid allow functionality which is
superficially similar. Metuxmpm allows you to control the process id's
from the central configuration file, on the basis of individual or
multiple VirtualHost directives.

Metuxmpm is a project evolution from the perchild module included with
Apache 2. While perchild has somewhat languished and many bugs remain
unfixed, Muxmpm has been furiously advancing its development toward a
stable release.



Authors:
--------
    Enrico Weigelt <weigelt@metux.de>

%endif
%package devel
Summary:      Apache 2 header and include files
Group:        Development/Libraries/C and C++
Requires:     %{name} = %{version} apache2-MPM

%description devel
This package contains header files and include files that are needed
for development for the apache API.



%package doc
Summary:      Additional Package Documentation.
Group:        Documentation/Other
%if %suse_version >= 901 && %sles_version == 0
Provides:     apache-doc
Obsoletes:    apache-doc
%endif

%description doc
This package contains optional documentation provided in addition to
this package's base documentation.



%package example-pages
Summary:      Example Pages for the Apache 2 Web Server
Group:        Productivity/Networking/Web/Servers
%if %suse_version >= 901 && %sles_version == 0
Provides:     apache-example-pages
Obsoletes:    apache-example-pages
%endif

%description example-pages
Some Example pages for Apache that show information about the installed
server.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%package -n libapr0
Summary:      Apache Portable Runtime (APR) Library
Group:        Development/Libraries/Other
Provides:     libapr.so.0 libaprutil.so.0
Obsoletes:    apr

%description -n libapr0
The mission of the Apache Portable Runtime (APR) is to provide a free
library of C data structures and routines, forming a system portability
layer to as many operating systems as possible, including Unix, MS
Win32, BeOS, and OS/2.

The Apache web server is based on APR.



Authors:
--------
    Too many to list here -- see /usr/share/doc/packages/apache2/ABOUT_APACHE

%prep
#  
#  O/ ._ .__ ._
#  /O |_)|(/_|_)
#     |      |
#  
%setup -q -n httpd-%{version}
%patch2 -p1
%patch3 -p1
%patch10 -p1
%patch11 -p1
%patch22 -p1
%patch23 -p1
%patch50 -p1
%patch51 -p1
%patch53 -p1
%if %metuxmpm
%patch60 -p1
%endif
%patch61 -p1
%patch62 -p0
%patch621 -p1
%patch622 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p0
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p0
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
pushd srclib/pcre
%patch79 -p1
popd
%patch80 -p0
%patch81 -p0
%patch82 -p0
%patch83 -p3
%patch84 -p0
%patch85 -p1
%patch86 -p1
%patch87 -p1
#
cat $RPM_SOURCE_DIR/SUSE-NOTICE >> NOTICE
#
cp -p %{S:16} %{S:17} .; gunzip mkcert.sh.gz
#
# replace PLATFORM string that's seen in the "Server:" header
#
sed 's,(" PLATFORM "),(%platform_string),' server/core.c > tmp_file && mv tmp_file server/core.c
 
#
# workaround for http://nagoya.apache.org/bugzilla/show_bug.cgi?id=7921
#
sed '/IfModule perchild.c/ a AcceptMutex fcntl' docs/conf/httpd-std.conf.in > tmp_file && mv tmp_file docs/conf/httpd-std.conf.in
 
#
# fix location of perl
#
for file in `grep -rl local/bin/perl .`; do
	sed 's+/use*r/local/bin/perl+%{_bindir}/perl+' < $file > tmp_file && \
	{ diff -u $file tmp_file || mv tmp_file $file; }
done
 
# backwards compatibility
%if %suse_version <= 800
for file in config.layout; do
	sed 's+/srv/www+%{datadir}+' $file > tmp_file && mv tmp_file $file
done
%endif
 
sed 's/@userdir@/%{userdir}/g' docs/conf/httpd-std.conf.in > tmp_file && mv tmp_file docs/conf/httpd-std.conf.in
#
# now configure Apache 
#
%if %have_sendfile64 && %build_with_LFS
	%define lfs_flags -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
	sed '/APR_HAS_LARGE_FILES/ s|0|1|' srclib/apr/include/apr.h.in > tmp_file && mv tmp_file srclib/apr/include/apr.h.in
%else
	%define lfs_flags -D_LARGEFILE_SOURCE
%endif
aclocal
%if %suse_version > 720
	autoreconf --force --install
%endif
./buildconf

%build
#
#  O/ |_    o| _|
#  /O |_)|_|||(_|
#
function configure {
	CFLAGS="$RPM_OPT_FLAGS -fPIC -Wall -fno-strict-aliasing %{?lfs_flags:%lfs_flags}" \
	CPPFLAGS="-DSSL_EXPERIMENTAL_ENGINE -DMAX_SERVER_LIMIT=200000" \
	./configure \
		--enable-maintainer-mode \
		--enable-layout=SuSE81%(test "%_lib" = lib64 && echo -n _64) \
		--with-program-name=httpd%{vers}$mpm_suffix \
		--with-mpm=$mpm \
		--with-perl=`which perl` \
%if "$mpm" == "leader"
%ifarch %ix86
%ifnarch i386 i486
		--enable-nonportable-atomics=yes \
%endif
%endif
%endif
		\
		--enable-mods-shared=all \
		--enable-ssl=shared \
		\
		--disable-isapi \
		--enable-deflate \
		--enable-echo \
		--enable-ext-filter \
		--enable-charset-lite \
		--enable-file-cache \
		--enable-logio \
		--enable-case_filter \
		--enable-case_filter_in \
		\
		--with-ldap \
		--enable-ldap \
		--enable-auth_ldap \
		\
		--enable-proxy \
		--enable-proxy-connect \
		--enable-proxy-ftp \
		--enable-proxy-http \
		--enable-cache \
		--enable-disk-cache \
		--enable-mem-cache \
		\
		--enable-suexec \
		--with-suexec-bin=%{_sbindir}/suexec%{vers} \
		--with-suexec-caller=wwwrun \
		--with-suexec-docroot=%{htdocsdir} \
		--with-suexec-logfile=%{logfiledir}/suexec.log \
		--with-suexec-userdir=%{userdir} \
		--with-suexec-uidmin=96 \
		--with-suexec-gidmin=96 \
		--with-suexec-safepath="/usr/local/bin:/usr/bin:/bin" 
}
 
 
#	
#	|_    o| _|  | _  _ ._
#	|_)|_|||(_|  |(_)(_)|_)
#	                    |
#
# build the 3 multi-processing modules (MPM) in a loop
#
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
for mpm in %{mpms_to_build}; do
	echo $mpm >> .status
	test -s Makefile && make clean >/dev/null
	echo -e "\n\n\n \e[01m***** Building $mpm MPM *****\e[00m\n\n\n"
	export mpm_suffix=-$mpm
	configure 
	sed "s/%{vers}-$mpm//" include/ap_config_auto.h > include/ap_config_auto.h.new
	mv include/ap_config_auto.h.new include/ap_config_auto.h
	 
	# avoid linking of *everything* against all libs
	sed 's/-lldap -llber//; s/-lssl -lcrypto//' build/config_vars.mk > tmp; mv tmp build/config_vars.mk
	sed  '/SH_LINK.*ldap/ s/$/ -lldap -llber/' modules/experimental/modules.mk > tmp; mv tmp modules/experimental/modules.mk
	sed  '/SH_LINK.*mod_ssl/ s/$/ -lssl -lcrypto/' modules/ssl/modules.mk > tmp; mv tmp modules/ssl/modules.mk
	make CFLAGS="$RPM_OPT_FLAGS -fPIC \
		-fno-strict-aliasing \
		-Wall \
		%{?lfs_flags:%lfs_flags} \
		-DDEFAULT_PIDLOG='\"%{runtimedir}/%{httpd}.pid\"' \
		-DDEFAULT_ERRORLOG='\"%{logfiledir}/error_log\"' " \
		%{?jobs:-j%jobs} 
 
	make DESTDIR=$RPM_BUILD_ROOT install
 
	#rm -rf $RPM_BUILD_ROOT.$mpm.pre
	#cp -a $RPM_BUILD_ROOT/ $RPM_BUILD_ROOT.$mpm.pre
	# show pathnames in config files
	echo;echo;echo; diff -U1 docs/conf/httpd-std.conf.in docs/conf/httpd-std.conf ||:
	echo;echo;echo; diff -U1 docs/conf/ssl-std.conf.in   docs/conf/ssl-std.conf ||:
	# show compile settings
	pwd
	printf "\n\n\n"; ./%{httpd}$mpm_suffix -V
	printf "\n\n\n"; ./%{httpd}$mpm_suffix -l
	mv $RPM_BUILD_ROOT/%{sysconfdir}/httpd-std.conf $RPM_BUILD_ROOT/%{sysconfdir}/httpd-std.conf$mpm_suffix
	mv $RPM_BUILD_ROOT/%{_bindir}/apr-config $RPM_BUILD_ROOT/%{installbuilddir}/apr-config$mpm_suffix
	mv $RPM_BUILD_ROOT/%{_bindir}/apu-config $RPM_BUILD_ROOT/%{installbuilddir}/apu-config$mpm_suffix
	# fix up and rename config_vars file: remove references to the RPM build dir;
	# remove references to RPM build root; fix apr/apu includedir
	sed -e "/^EXTRA_INCLUDES/s|-I$RPM_BUILD_DIR[^ ]* ||g" \
	    -e "/^AP._INCLUDEDIR/s|$RPM_BUILD_DIR.*$|%{includedir}$mpm_suffix|" \
	    -e "/abs_srcdir/d" \
	    -e "/AP_LIBS/d" \
	  < $RPM_BUILD_ROOT/%{installbuilddir}/config_vars.mk \
	  > $RPM_BUILD_ROOT/%{installbuilddir}/config_vars.mk$mpm_suffix
	rm $RPM_BUILD_ROOT/%{installbuilddir}/config_vars.mk
	#rm -rf $RPM_BUILD_ROOT.$mpm.post
	#cp -a $RPM_BUILD_ROOT/ $RPM_BUILD_ROOT.$mpm.post
done
# checking whether libapr* are identical
ldir=$RPM_BUILD_ROOT/%{libexecdir}
tmpdir=`mktemp -d $RPM_BUILD_ROOT/tmp.XXXXXXX`
for mpm in %{mpms_to_build}; do
	mkdir $tmpdir/$mpm
	(cd $tmpdir/$mpm; ar -x $ldir-$mpm/libapr-0.a; ar -x $ldir-$mpm/libaprutil-0.a)
done
for i in $(cd $tmpdir/%{default_mpm}; ls -1); do
	identical=true
	for mpm in %{mpms_to_build}; do
		cmp -s $tmpdir/{%{default_mpm},$mpm}/$i || identical=false
	done
done
rm -rf $tmpdir
# shared objects
for i in $(cd $ldir-%{default_mpm}; ls -1 libapr*.so.*); do
	identical=true
	for mpm in %{mpms_to_build}; do
		cmp -s $ldir-{%{default_mpm},$mpm}/$i || identical=false
	done
done
if ! $identical; then
	echo
	echo Sorry, libapr*.so.* is no longer identical for the MPMs... 
	echo this needs to be sorted out
	exit 1
fi
mkdir -p $RPM_BUILD_ROOT/%{libexecdir}
sed 's+\(includedir=\).*+\1%{includedir}+' $RPM_BUILD_ROOT/%{installbuilddir}/apr-config-%{default_mpm} \
					> $RPM_BUILD_ROOT/%{_bindir}/apr-config 
sed 's+\(includedir=\).*+\1%{includedir}+; s+-lldap -llber++' $RPM_BUILD_ROOT/%{installbuilddir}/apu-config-%{default_mpm} \
					> $RPM_BUILD_ROOT/%{_bindir}/apu-config 
 
# remove references to mpm type in config_vars
sed -e "s^/usr/%_lib/%{pname}-%{default_mpm}^/usr/%_lib/%{pname}^" \
    -e "s/httpd$/%{httpd}-%{default_mpm}/" \
    -e "s/%{pname}-%{default_mpm}/%{pname}/" \
  < $RPM_BUILD_ROOT/%{installbuilddir}/config_vars.mk-%{default_mpm} \
  > $RPM_BUILD_ROOT/%{installbuilddir}/config_vars.mk
 
# get rid of modules that do not differ between the MPMs (since most of them are the same)
# by putting them in /usr/lib/apache%{vers}
ldir=$RPM_BUILD_ROOT/%{libexecdir}
for i in $(cd $ldir-%{default_mpm}; ls -1); do
	identical=true
	for mpm in %{mpms_to_build}; do
		cmp -s $ldir-{%{default_mpm},$mpm}/$i || identical=false
	done
	if $identical; then
		cp -dp $ldir-%{default_mpm}/$i $ldir
		for mpm in %{mpms_to_build}; do
			rm $ldir-$mpm/$i
			ln -s ../%{pname}/$i $ldir-$mpm/$i
		done
	fi
done
 
# merge the three /usr/include/apache2-* directories
# by putting them in /usr/lib/apache%{vers}
idir=$RPM_BUILD_ROOT/%{includedir}
mkdir -p $idir
for i in $(cd $idir-%{default_mpm}; ls -1); do
	identical=true
	for mpm in %{mpms_to_build}; do
		cmp -s $idir-{%{default_mpm},$mpm}/$i || identical=false
	done
	if $identical; then
		cp -dp $idir-%{default_mpm}/$i $idir
		for mpm in %{mpms_to_build}; do
			rm $idir-$mpm/$i
			ln -s ../%{pname}/$i $idir-$mpm/$i
		done
	fi
done
for i in ap_config_auto.h ap_config_layout.h; do
	if [ ! -f $idir/$i ]; then
		sed 's/-%{default_mpm}//' $idir-%{default_mpm}/$i > $idir/$i
	fi
done
	

%install
#
#  O/ o._  __|_ _.||
#  /O || |_> |_(_|||
#  
#
# (most installation (to build root) has already been done in %build)
#
# save MODULE_MAGIC_NUMBER
cat > $RPM_BUILD_ROOT/%{_libdir}/%{pname}_MMN <<-EOF
	#!/bin/sh
	echo %{apache_mmn}
EOF
 
cp -p $RPM_BUILD_ROOT/%{sysconfdir}/%{httpd}-%{default_mpm}.conf $RPM_BUILD_ROOT/%{sysconfdir}/httpd.conf
cp -p $RPM_BUILD_ROOT/%{sysconfdir}/httpd.conf ./httpd.conf.default
mv $RPM_BUILD_ROOT/%{sysconfdir}/highperformance-std.conf .
mv $RPM_BUILD_ROOT/%{sysconfdir}/httpd-std.conf-* .
rm $RPM_BUILD_ROOT/%{sysconfdir}/%{httpd}-*.conf
rm $RPM_BUILD_ROOT/%{sysconfdir}/highperformance.conf
mv $RPM_BUILD_ROOT/%{sysconfdir}/ssl-std.conf .
rm $RPM_BUILD_ROOT/%{sysconfdir}/ssl.conf
#
# create directories
mkdir -p $RPM_BUILD_ROOT/%{_var}/adm/fillup-templates \
	 $RPM_BUILD_ROOT/%{proxycachedir} \
	 $RPM_BUILD_ROOT/%{localstatedir}
#
# support files
install -m 755 support/log_server_status 	$RPM_BUILD_ROOT/%{_bindir}/log_server_status%{vers}
install -m 755 support/split-logfile 		$RPM_BUILD_ROOT/%{_bindir}/split-logfile%{vers}
install -m 755 support/logresolve.pl 		$RPM_BUILD_ROOT/%{_sbindir}/logresolve.pl%{vers}
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 644 $RPM_SOURCE_DIR/%{pname}.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/%{pname}
mkdir -p $RPM_BUILD_ROOT/etc/permissions.d
install -m 644 $RPM_SOURCE_DIR/permissions.%{pname} $RPM_BUILD_ROOT/etc/permissions.d/%{pname}
#
# ssl stuff
install -m 755 %{S:25} $RPM_BUILD_ROOT/%{_bindir}/
chmod 755 certificate.sh mkcert.sh
tar xjf $RPM_SOURCE_DIR/apache-ssl-stuff.tar.bz2 -C $RPM_BUILD_ROOT/%{sysconfdir}
#
# init script and friends
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -m 744 $RPM_SOURCE_DIR/rc.%{pname} $RPM_BUILD_ROOT/etc/init.d/%{pname}
ln -sf ../../etc/init.d/%{pname} $RPM_BUILD_ROOT/%{_sbindir}/rc%{pname}
install -m 755 $RPM_SOURCE_DIR/load_configuration $RPM_BUILD_ROOT/%{_prefix}/share/%{pname}/
install -m 755 $RPM_SOURCE_DIR/find_mpm           $RPM_BUILD_ROOT/%{_prefix}/share/%{pname}/
install -m 755 $RPM_SOURCE_DIR/get_includes       $RPM_BUILD_ROOT/%{_prefix}/share/%{pname}/
install -m 755 $RPM_SOURCE_DIR/find_httpd2_includes $RPM_BUILD_ROOT/%{_prefix}/share/%{pname}/
sed 's+/usr/lib+/usr/%_lib+' $RPM_SOURCE_DIR/get_module_list \
	> $RPM_BUILD_ROOT/%{_prefix}/share/%{pname}/get_module_list
chmod 755 $RPM_BUILD_ROOT/%{_prefix}/share/%{pname}/get_module_list
install -m 755 $RPM_SOURCE_DIR/apache2-reconfigure-mpm $RPM_BUILD_ROOT/%{_sbindir}
#
# SuSEconfig.apache
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
mkdir -p $RPM_BUILD_ROOT/%{sysconfdir}/vhosts.d
mkdir -p $RPM_BUILD_ROOT/%{sysconfdir}/sysconfig.d
install -m 755 $RPM_SOURCE_DIR/SuSEconfig.%{pname}     $RPM_BUILD_ROOT/sbin/conf.d/
#
# make list of all modules, and install sysconfig template
for i in $(find $RPM_BUILD_ROOT/%{libexecdir}-%{default_mpm} -name "*.so" | sort); do
	modname=${i#*mod_}; modname=${modname%.so}
	modname=${modname##*lib}
	all_modules="$all_modules $modname"
done
all_modules=$(echo $all_modules | fmt | sed 's/\(.*\)/#    \1\\/')
sed "s+@@all_modules@@+$all_modules +" $RPM_SOURCE_DIR/sysconfig.%{pname} \
	> $RPM_BUILD_ROOT/%{_var}/adm/fillup-templates/sysconfig.%{pname}
#
# install READMEs
cp -p $RPM_SOURCE_DIR/%{pname}-README README.%VENDOR
cp -p $RPM_SOURCE_DIR/%{pname}-README.QUICKSTART README.QUICKSTART
cp -p $RPM_SOURCE_DIR/%{pname}-README.QUICKSTART.SSL README.QUICKSTART.SSL
cp -p $RPM_SOURCE_DIR/%{pname}-README.QUICKSTART.WebDAV README.QUICKSTART.WebDAV
#
# install configuration files:
mkdir -p $RPM_BUILD_ROOT/%{runtimedir}
touch $RPM_BUILD_ROOT/%{sysconfdir}/sysconfig.d/include.conf
mkdir -p $RPM_BUILD_ROOT/%{sysconfdir}/conf.d
for i in default-server.conf \
	 errors.conf \
	 httpd.conf \
	 listen.conf \
	 mod_autoindex-defaults.conf \
	 mod_info.conf \
	 mod_log_config.conf \
	 mod_mime-defaults.conf \
	 mod_status.conf \
	 mod_userdir.conf \
	 mod_usertrack.conf \
	 server-tuning.conf \
	 uid.conf \
	 ssl-global.conf
do
	install -m 644 $RPM_SOURCE_DIR/apache2-$i $RPM_BUILD_ROOT/%{sysconfdir}/$i
done
install -m 644 $RPM_SOURCE_DIR/apache2-vhost.template $RPM_BUILD_ROOT/%{sysconfdir}/vhosts.d/vhost.template
install -m 644 $RPM_SOURCE_DIR/apache2-vhost-ssl.template $RPM_BUILD_ROOT/%{sysconfdir}/vhosts.d/vhost-ssl.template
install -m 644 $RPM_SOURCE_DIR/apache2-manual.conf $RPM_BUILD_ROOT/%{sysconfdir}/conf.d/
 
cp -p $RPM_SOURCE_DIR/robots.txt .
cp -p $RPM_SOURCE_DIR/favicon.ico		$RPM_BUILD_ROOT/%{htdocsdir}/
cat > $RPM_BUILD_ROOT/%{htdocsdir}/robots.txt <<-EOF
	User-Agent: *
	Disallow: /
EOF
 
#
# use official mime.types (more complete)
#
ln -sf ../mime.types $RPM_BUILD_ROOT/%{sysconfdir}/mime.types
 
mv $RPM_BUILD_ROOT/%{cgidir}/printenv .
mv $RPM_BUILD_ROOT/%{cgidir}/test-cgi .
pushd $RPM_BUILD_ROOT/%{_mandir}
	for i in $(find . -type f); do
		mv $i ${i%.*}%{vers}.${i#*.*.} || true
	done
popd
pushd $RPM_BUILD_ROOT/%{_sbindir}
	for i in ab checkgid dbmmanage htdbm htdigest htpasswd logresolve rotatelogs suexec; do
		mv $i ${i}%{vers} || true
	done
	mv apachectl apachectl.tmp; mv apachectl.tmp apache%{vers}ctl
popd
# fix up apxs
pushd $RPM_BUILD_ROOT/%{_sbindir}
	for mpm in %{mpms_to_build}; do
		cat <<-EOT_ED | ed -s apxs
			H
			,s/^\(.*\)config_vars.mk\(.*\)$/\1config_vars.mk\$mpm_suffix\2/
			/config_vars.mk
			^
			i
			my \$mpm_suffix = "-$mpm";
			.
			wq apxs%{vers}-$mpm
		EOT_ED
		chmod 755 apxs%{vers}-$mpm
	done
	cat <<-EOT_ED | ed -s apxs
		H
		/config_vars
		a
		my \$mpm_suffix = "";
		.
		wq
	EOT_ED
	mv apxs apxs%{vers}
popd
 
#
# filelists
#
>filelist; >filelist-devel; >filelist-apr
for mpm in %{mpms_to_build}; do 
	echo %dir %{_libdir}/%{pname}-$mpm >> filelist
	(
	echo %dir %{includedir}-$mpm 
	echo %{_sbindir}/apxs%{vers}-$mpm
	) >> filelist-devel
done
find $RPM_BUILD_ROOT/%{includedir}/.. -type f -o -type l | sed "s#$RPM_BUILD_ROOT##" \
| while read -t 120 line; do
	case $line in *apr*|*apu*) echo $line >>filelist-apr;; *) echo $line >>filelist-devel;; esac
done
 
find $RPM_BUILD_ROOT/%{installbuilddir} -type f | sed "s#$RPM_BUILD_ROOT##" \
| while read -t 120 line; do
	case $line in *apr-config*|*apu-config*) echo $line >>filelist-apr;; *) echo $line >>filelist-devel;; esac
done
ln -s libapr-0.so.0 $RPM_BUILD_ROOT/usr/%_lib/libapr.so.0
ln -s libaprutil-0.so.0 $RPM_BUILD_ROOT/usr/%_lib/libaprutil.so.0
 
# remove files from the build root that we won't package
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{pname}-*/*.exp	# needed only on AIX
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{pname}/*.exp	# needed only on AIX
rm -f $RPM_BUILD_ROOT/%{_libdir}/apr*.exp		# needed only on AIX
               
 
#
#  O/ _|_ _  __|_ 
#  /O  |_(/__> |_ 
#                 
#
# now check wether httpd binary runs properly 
# and validate httpd.conf file 
#
pushd $RPM_BUILD_ROOT/%{sysconfdir}
for i in *.conf; do cp $i $i.test; done
%if %suse_version < 810
	echo -e "User wwwrun \nGroup nogroup" > uid.conf.test
	sed 's+/srv/www+/usr/local/httpd+' default-server.conf > t
	mv t default-server.conf
	mkdir -p /usr/local/httpd/htdocs
%endif
sed -e 's+/usr/%_lib+'$RPM_BUILD_ROOT'/usr/%_lib+' \
    -e 's+/var/run+'$RPM_BUILD_ROOT'/var/run+' \
    -e 's+%{sysconfdir}+'$RPM_BUILD_ROOT'%{sysconfdir}+' \
    -e 's+%{datadir}+'$RPM_BUILD_ROOT'%{datadir}+' \
    -e 's+\.conf$+&.test+' \
		httpd.conf > httpd.conf.test
sed -e 's+%{sysconfdir}+'$RPM_BUILD_ROOT'%{sysconfdir}+' \
		default-server.conf > default-server.conf.test
touch sysconfig.d/global.conf.test
touch sysconfig.d/include.conf.test
popd
pushd $RPM_BUILD_ROOT
for i in $(export LC_ALL=C; find .%{libexecdir}-%{default_mpm} -name "*.so" | sort); do
	mod_id=${i#*mod_}; mod_id=${mod_id%.so}_module
	mod_path=
	echo LoadModule $mod_id $RPM_BUILD_ROOT/${i#.} >> .%{sysconfdir}/sysconfig.d/loadmodule.conf.test
done
# auth_ldap_module needs to be loaded after ldap_module
echo -e "/auth_ldap\n+\n-m/ldap\nwq" | ed -s ./%{sysconfdir}/sysconfig.d/loadmodule.conf.test
popd
 
LD_LIBRARY_PATH=${RPM_BUILD_ROOT}%{_libdir} \
$RPM_BUILD_ROOT/%{_sbindir}/httpd%{vers}-%{default_mpm} \
	-e debug -t -f $RPM_BUILD_ROOT/%{sysconfdir}/httpd.conf.test || exit 1
rm $RPM_BUILD_ROOT/%{sysconfdir}/*.test
rm $RPM_BUILD_ROOT/%{sysconfdir}/sysconfig.d/*

%files -f filelist
#       _
#  O/ _|_o| _  _
#  /O  | ||(/__>
#  
%defattr(-,root,root)
%doc INSTALL READM* LICENSE ABOUT_APACHE 
%doc support/SHA1
%doc %attr(755,root,root) certificate.sh
%doc %attr(755,root,root) mkcert.sh
%doc %{_mandir}/man1/dbmmanage%{vers}.1.gz
%doc %{_mandir}/man1/htdigest%{vers}.1.gz
%doc %{_mandir}/man1/htpasswd%{vers}.1.gz
%doc %{_mandir}/man8/ab%{vers}.8.gz
%doc %{_mandir}/man8/apachectl%{vers}.8.gz
%doc %{_mandir}/man8/%{httpd}.8.gz
%doc %{_mandir}/man8/logresolve%{vers}.8.gz
%doc %{_mandir}/man8/rotatelogs%{vers}.8.gz
%doc %{_mandir}/man8/suexec%{vers}.8.gz
%doc %{_mandir}/man8/apxs%{vers}.8.gz
%doc robots.txt
%doc printenv
%doc test-cgi
%doc highperformance-std.conf
%doc httpd-std.conf-*
%doc ssl-std.conf
%doc httpd.conf.default
%attr(750,root,root) %dir %{logfiledir}
%attr(750,wwwrun,root) %dir   %{proxycachedir}
%attr(750,wwwrun,root) %dir   %{localstatedir}
%dir %{sysconfdir}
%config %{sysconfdir}/magic
%config %{sysconfdir}/mime.types
%config (noreplace) %{sysconfdir}/*.conf
%{sysconfdir}/vhosts.d/*.template
%dir %{sysconfdir}/ssl.crl
%dir %{sysconfdir}/ssl.crt
%dir %{sysconfdir}/ssl.csr
%dir %attr(700,root,root) %{sysconfdir}/ssl.key
%dir %{sysconfdir}/ssl.prm
	%{sysconfdir}/ssl.*/README*
%config %{sysconfdir}/ssl.*/Makefile
	%{sysconfdir}/ssl.*/snakeoil*
%config %{sysconfdir}/ssl.crt/ca-bundle.crt
%config(noreplace) %{sysconfdir}/ssl.crt/server.crt
%config(noreplace) %{sysconfdir}/ssl.csr/server.csr
%config(noreplace) %{sysconfdir}/ssl.key/server.key
%dir %{sysconfdir}/conf.d
%dir %{sysconfdir}/vhosts.d
%dir %{sysconfdir}/sysconfig.d
%config(noreplace) /etc/logrotate.d/%{pname}
%config(noreplace) /etc/permissions.d/%{pname}
%config /etc/init.d/%{pname}
/sbin/conf.d/SuSEconfig.%{pname}
%{_sbindir}/rc%{pname}
%{_sbindir}/ab%{vers}
%{_sbindir}/apache%{vers}ctl
%{_sbindir}/checkgid%{vers}
%{_sbindir}/dbmmanage%{vers}
%{_sbindir}/envvars
%{_sbindir}/envvars-std
%{_sbindir}/htdbm%{vers}
%{_sbindir}/htdigest%{vers}
%{_sbindir}/htpasswd%{vers}
%{_sbindir}/logresolve%{vers}
%{_sbindir}/logresolve.pl%{vers}
%{_sbindir}/rotatelogs%{vers}
%{_sbindir}/suexec%{vers}
%{_sbindir}/apache2-reconfigure-mpm
%{_bindir}/log_server_status%{vers}
%{_bindir}/split-logfile%{vers}
%{_bindir}/gensslcert
%{iconsdir}
%{errordir}
%{_var}/adm/fillup-templates/sysconfig.%{pname}
%attr(755,root,root) %{_libdir}/%{pname}_MMN
%dir %{_libdir}/%{pname}
%{_libdir}/%{pname}/mod_*.so
%dir %{installbuilddir}
%dir %{_prefix}/share/%{pname}
%{_prefix}/share/%{pname}/get_module_list
%{_prefix}/share/%{pname}/get_includes
%{_prefix}/share/%{pname}/find_httpd2_includes
%{_prefix}/share/%{pname}/find_mpm
%{_prefix}/share/%{pname}/load_configuration
%if %perchild

%files perchild
%defattr(-,root,root)
%{_sbindir}/%{httpd}-perchild
%dir %{_libdir}/%{pname}-perchild
%{_libdir}/%{pname}-perchild/mod_*.so
%endif
%if %prefork

%files prefork
%defattr(-,root,root)
%{_sbindir}/%{httpd}-prefork
%dir %{_libdir}/%{pname}-prefork
%{_libdir}/%{pname}-prefork/mod_*.so
%endif
%if %worker

%files worker
%defattr(-,root,root)
%{_sbindir}/%{httpd}-worker
%dir %{_libdir}/%{pname}-worker
%{_libdir}/%{pname}-worker/mod_*.so
%endif
%if %leader

%files leader
%defattr(-,root,root)
%{_sbindir}/%{httpd}-leader
%dir %{_libdir}/%{pname}-leader
%{_libdir}/%{pname}-leader/mod_*.so
%endif
%if %metuxmpm

%files metuxmpm
%defattr(-,root,root)
%{_sbindir}/%{httpd}-metuxmpm
%dir %{_libdir}/%{pname}-metuxmpm
%{_libdir}/%{pname}-metuxmpm/mod_*.so
%endif

%files devel -f filelist-devel
%defattr(-,root,root)
%dir %{_prefix}/share/%{pname}
%dir %{installbuilddir}
%dir %{includedir}
%{_sbindir}/apxs%{vers}

%files doc
%defattr(-,root,root)
%doc %{manualdir}
%dir %{sysconfdir}
%dir %{sysconfdir}/conf.d
%config %{sysconfdir}/conf.d/apache2-manual.conf

%files example-pages
%defattr(-,root,root)
%config(noreplace) %{htdocsdir}/index.htm*
%config(noreplace) %{htdocsdir}/apache_*.png
%config(noreplace) %{htdocsdir}/apache_*.gif
%config(noreplace) %{htdocsdir}/favicon.ico
%config(noreplace) %{htdocsdir}/robots.txt

%files -n libapr0 -f filelist-apr
%defattr(-,root,root)
%{_libdir}/libapr*.so.*
# apr-devel
%{_libdir}/libapr*.a
%{_libdir}/libapr*.la
%{_libdir}/libapr*.so
%attr(755,root,root) %{_bindir}/apr-config
%attr(755,root,root) %{_bindir}/apu-config

%preun
#  
#  O/ ._ .__    / ._  _  __|_
#  /O |_)|(/_  /  |_)(_)_> |_
#     |           |
#  
#if %suse_version > 810
#stop_on_removal %{pname}
#endif
for i in %{_sbindir}/%{httpd} \
	 %{installbuilddir}/config_vars.mk
do
	test -L $i && rm $i
done
exit 0

%postun
#if %suse_version > 810
#restart_on_update %{pname}
#endif
%insserv_cleanup

%post
groupmod -n www wwwadmin 2>/dev/null ||:
usermod -g www wwwrun 2>/dev/null ||:
usermod -s /bin/false wwwrun 2>/dev/null ||:
tmpdir=$(mktemp -d etc/apache2/apache2-post.XXXXXX); test $? = 0 || { echo >&2 Could not create tmpdir. Exiting; exit 1; }
tmpfile=$tmpdir/tmpfile
RC_CONFIG=etc/rc.config
if [ -e $RC_CONFIG ]; then 
	. $RC_CONFIG
	if [ "$START_HTTPD" = no -a "$START_HTTPSD" = yes ]; then
		echo -n "removing obsolete START_HTTPSD from etc/rc.config ..."
		sed -e 's+START_HTTPD=.*+START_HTTPD=yes+' \
		    -e 's+START_HTTPSD=.*++' $RC_CONFIG > $tmpfile \
			&& cp $tmpfile $RC_CONFIG
		echo "done"
	fi
fi
 
%if %suse_version < 800
	if test -s etc/rc.config.d/apache2.rc.config && grep -q "^LOADMODULES" etc/rc.config.d/apache2.rc.config; then 
		sed "s/LOADMODULES/APACHE_MODULES/" etc/rc.config.d/apache2.rc.config >| $tmpfile \
			&& cp $tmpfile etc/rc.config.d/apache2.rc.config
	fi
	echo "Updating /etc/rc.config..."
	bin/cat > var/adm/fillup-templates/rc.config.apache2 <<-EOF 
		
		#
		# Start the apache2 httpd server? (yes|no)
		#
		START_APACHE2=no
		
	EOF
	bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.apache2
	bin/rm var/adm/fillup-templates/rc.config.apache2
	touch etc/rc.config.d/apache2.rc.config
	bin/fillup -q etc/rc.config.d/apache2.rc.config var/adm/fillup-templates/sysconfig.apache2
	sbin/insserv etc/init.d/apache2
%else
	if test -s etc/sysconfig/apache2 && grep -q "^LOADMODULES" etc/sysconfig/apache2; then 
		sed "s/LOADMODULES/APACHE_MODULES/" etc/sysconfig/apache2 >| $tmpfile \
			&& cp $tmpfile etc/sysconfig/apache2
	fi
	%{fillup_and_insserv -ns apache2 apache2 START_HTTPD}
	%{fillup_only -ans apache2 apache2}
%endif
 
# Update ?
if [ ${FIRST_ARG:-0} -gt 1 ]; then
	mkdir -p var/adm/notify/messages
	# update from package with the old near-monolithic conf file?
	if [ -s ./%{sysconfdir}/httpd.conf.default -a -s ./%{sysconfdir}/httpd.conf.rpmnew ]; then 
		diff -u .%{sysconfdir}/httpd.conf.default .%{sysconfdir}/httpd.conf \
		  > $tmpdir/httpd.conf.dif ||:
		cp -p $tmpdir/httpd.conf.dif ./%{sysconfdir}/httpd.conf var/adm/backup/
		archive_conf=$(old var/adm/backup/httpd.conf     2>/dev/null); archive_conf=${archive_conf##*/}
		 archive_dif=$(old var/adm/backup/httpd.conf.dif 2>/dev/null);  archive_dif=${archive_dif##*/}
		cat >var/adm/notify/messages/apache2-notify <<- EOF
			 
			Dear Admin,          --deutsche Version weiter unten--
			 
			the apache2 configuration has been modularized to facilitate maintenance.
			The new httpd.conf file contains an overview of the new layout at its top.
			 
			Your old httpd.conf might have been partly converted. A backup
			copy before the conversion has been placed here:
			 	/var/adm/backup/$archive_conf
			 
			The previous file contained the changes that are pasted
			below (and saved as /var/adm/backup/$archive_dif).
			 
			 
			Lieber Admin,
			 
			die Apache2-Konfiguration ist zwecks besserer Ueberschaubarkeit und 
			Wartbarkeit staerker modularisiert worden. Eine Uebersicht ueber das aktuelle
			Layout finden Sie im Kopf der neuen httpd.conf-Datei.
			 
			Ein Backup der bisherigen Konfigurationsdatei finden Sie hier:
			 	/var/adm/backup/$archive_conf
			 
			Sie enthielt die unten angehaengten Aenderungen (die Sie auch unter
			/var/adm/backup/$archive_dif finden).
			 
			Sincerely, 
			Your %VENDOR team
			 
			 
			 
			<snip>
			 
		EOF
		cat var/adm/backup/$archive_dif >> var/adm/notify/messages/apache2-notify
	fi
	#
	sed "
		# generated files were renamed from suse_* to sysconfig.d/*
		s|\(^Include /etc/apache2\)/suse_\(\(include\|loadmodule\|global\).conf\)|\1/sysconfig.d/\2|
		
		# the access_log configuration is now configurable
		s|^CustomLog /var/log/apache2/access_log.*|# &|
		
		# group of wwwrun has changed
		s|^Group nogroup|Group www|
		
	" < ./%{sysconfdir}/httpd.conf > $tmpfile
	chmod --reference=./%{sysconfdir}/httpd.conf $tmpfile
	chown --reference=./%{sysconfdir}/httpd.conf $tmpfile
	cmp -s $tmpfile ./%{sysconfdir}/httpd.conf || cp -p $tmpfile ./%{sysconfdir}/httpd.conf
fi
 
test -z "$YAST_IS_RUNNING" && echo "Please remember to run 'SuSEconfig --module %{pname}' to configure the server" ||:
rm -rf $tmpdir
exit 0

%post -n libapr0
%{run_ldconfig}
exit 0

%clean
if ! test -f /.buildenv; then
	rm -rf $RPM_BUILD_ROOT
fi

%changelog -n apache2
* Fri Feb 03 2006 - poeml@suse.de
- build fix: newer kernels on build machines might have
  IPPROTO_SCTP but not SCTP_NODELAY. Extend the configure check
  in srclib/apr/build/apr_network.m4.
* Thu Feb 02 2006 - poeml@suse.de
- security fix [CVE-2005-3352 (cve.mitre.org)]: mod_imap: Escape
  untrusted referer header before outputting in HTML to avoid
  potential cross-site scripting.  Change also made to
  ap_escape_html so we escape quotes. [#138083]
- security fix [CVE-2005-3357 (cve.mitre.org)]: mod_ssl in Apache
  2.0 up to 2.0.55, when configured with an SSL vhost with access
  control and a custom error 400 error page, allowed remote
  attackers to cause a denial of service (application crash) via a
  non-SSL request to an SSL port, which triggered a NULL pointer
  dereference. [#138083]
* Wed Nov 09 2005 - poeml@suse.de
- security fix [CAN-2005-2970 (cve.mitre.org)]:
  worker MPM: Fix a memory leak which can occur after an aborted connection
  in some limited circumstances. Patch from 2.0.55, r307218. [#132728]
* Fri Oct 14 2005 - poeml@suse.de
- fix 2.0.49 bug where 4097+ bytes of stderr from cgi script cause
  the script to hang indefinitely. Fix backported from 2.0.50
  http://issues.apache.org/bugzilla/show_bug.cgi?id=22030 [#83365]
- fix segfault with SSL client certificates [#115300]
  patch from 2.0.54 (PR32529, PR34846)
* Fri Sep 02 2005 - poeml@suse.de
- security fix [CAN-2005-2728 (cve.mitre.org)]:
  fix memory consumption bug in byterange handling
- security fix [CAN-2005-2700 (cve.mitre.org)]: [#114701]
  if "SSLVerifyClient optional" has been configured at the vhost
  context then "SSLVerifyClient require" is not enforced in a
  location context within that vhost; effectively allowing clients
  to bypass client-cert authentication checks. [#114701]
* Wed Aug 31 2005 - poeml@suse.de
- Security fix: fix integer overflows in PCRE in quantifier parsing which
  could be triggered by a local user through use of a carefully-crafted
  regex in an .htaccess file. CAN-2005-2491 [#112651] [#106209]
* Wed Jul 13 2005 - poeml@suse.de
- security fix [CAN-2005-2088 (cve.mitre.org)]: core: If a request
  contains both Transfer-Encoding and a Content-Length, remove the
  Content-Length, stopping some HTTP Request smuggling attacks.
  mod_proxy: Reject chunked requests. [#95709]
- security fix [CAN-2005-1268 (cve.mitre.org)]: mod_ssl: fix
  off-by-one overflow whilst printing CRL information at "LogLevel
  debug" which could be triggered if configured to use a
  "malicious" CRL.  PR 35081. [#95709]
* Wed Mar 30 2005 - poeml@suse.de
- Add namcd to the X-UnitedLinux-Should-Start of
  /etc/init.d/apache2. If the NSS file system is installed, LUM
  (namcd) service must be running before Apache starts. [#71902]
* Tue Mar 08 2005 - poeml@suse.de
- httpd-2.0.49-tls-upgrade-20050301.patch
  fix TLS upgrade patch: with SSLEngine set to Optional, an
  additional token in an Upgrade: header before "TLS/1.0" could
  result into an infinite loop [#67126]
- httpd-2.0.49-ssl_engine_io.c-shutdown.dif
  mod_ssl: fix potential segfaults when performing SSL shutdown
  from a pool cleanup. Patch from 2.0.50 [#65367]
  http://issues.apache.org/bugzilla/show_bug.cgi?id=27945
- httpd-2.0.49-s390-have-sendfile.dif
  enable usage of sendfile on s390 31bit [#65445]
* Mon Nov 22 2004 - poeml@suse.de
- fix /etc/init.d/apache2 to correctly handle the start of multiple
  instances of the same binary (using startproc -f plus prior check
  for running instance) [#48153]
* Mon Nov 08 2004 - poeml@suse.de
- security fix [CAN-2004-0942 (cve.mitre.org)]: Fix for memory
  consumption DoS [#47967]
- security fix [CAN-2004-0885 (cve.mitre.org)]: fix SSLCipherSuite
  bypass in mod_ssl [#47117]
* Fri Oct 15 2004 - poeml@suse.de
- update the TLS upgrade patch [#47207]
- mod_ssl returned invalid method on TLS upgraded connections
- additional checks for httpd_method and default_port hooks
- fixed typo in upgrade header
- upgrade mod_auth_ldap and util_ldap to 2.0.53 level [#47305]
- add patch fixing re-linking issue when purging elements from the
  LDAP cache. http://nagoya.apache.org/bugzilla/show_bug.cgi?id=24801
  http://www.apache.org/dist/httpd/patches/apply_to_2.0.52/util_ldap_cache_mgr.c.patch
  [#47305]
* Tue Sep 14 2004 - poeml@suse.de
- security fix [CAN-2004-0809 (cve.mitre.org)]: fix possible DoS in
  mod_dav by remotely triggerable null-pointer dereference
  http://nagoya.apache.org/bugzilla/show_bug.cgi?id=31183 [#45231]
* Tue Sep 07 2004 - poeml@suse.de
- security fix [CAN-2004-0786 (cve.mitre.org)]: fix a vulnerability
  is in the apr-util library (lacking input validation on IPv6
  literal addresses the the apr_uri_parse function [#44736]
- security fix [CAN-2004-0747 (cve.mitre.org)]: fix a buffer
  overflow that can occur when expanding ${ENVVAR} constructs in
  .htaccess or httpd.conf files. [#44736]
* Wed Aug 25 2004 - poeml@suse.de
- security fix [CAN-2004-0748 (cve.mitre.org)]: fix a potential
  infinite loop in the SSL input filter which can be triggered by
  an aborted connection
  http://nagoya.apache.org/bugzilla/show_bug.cgi?id=29964 [#44103]
- security fix [CAN-2004-0751 (cve.mitre.org)]: fix a potential
  segfault in the SSL input filter which can be triggered by the
  response to request which is proxied to a remote SSL server
  http://nagoya.apache.org/bugzilla/show_bug.cgi?id=30134 [#44103]
* Tue Jun 29 2004 - poeml@suse.de
- security fix [CAN-2004-0493 (cve.mitre.org)]: fix Denial of
  Service vulnaribility which could lead to memory exhaustion with
  certain input data. [#42566]
* Wed May 19 2004 - poeml@suse.de
- security fix for mod_ssl: fix buffer overflow in
  ssl_util_uuencode() [#40791]
* Wed Apr 28 2004 - poeml@suse.de
- add TLS upgrade patch [#39449]
- add patch to allow writing log files larger than 2>GB [#39453]
- obsolete apache and mod_ssl versions only when older than what is
  shipped with 9.1
- don't provide mod_ssl
* Fri Apr 02 2004 - cschum@suse.de
- Add "suse_help_viewer" provides [#37932]
* Mon Mar 29 2004 - poeml@suse.de
- provide and obsolete packages apache, mod_ssl, apache-doc and
  apache-example-pages [#37084]
* Mon Mar 22 2004 - poeml@suse.de
- disable large file support by not building with _FILE_OFFSET_BITS=64,
  in favour of retaining a binary compatible module API.
  Therefore, do not change the module magic number. LFS can be
  enabled by building via rpmbuild --define 'build_with_LFS 1'
* Thu Mar 18 2004 - poeml@suse.de
- update to proposed 2.0.49 tarball
- mod_cgid: Fix storage corruption caused by use of incorrect pool.
- docs update
- remove APACHE_DOCUMENT_ROOT from sysconfig.apache2 [#32635]
- fix a comment in default-server.conf
- remove obsolete ssl_scache_cleanup support script and ftok helper
* Tue Mar 16 2004 - poeml@suse.de
- change mmn in header file as well, for modules that include it
  from there
* Mon Mar 15 2004 - poeml@suse.de
- update to 2.0.49-rc2. Relevant changes:
  | The whole codebase was relicensed and is now available under the
  |   Apache License, Version 2.0 (http://www.apache.org/licenses).
  |   [Apache Software Foundation]
  | Security [CAN-2004-0113 (cve.mitre.org)]: mod_ssl: Fix a memory
  |   leak in plain-HTTP-on-SSL-port handling.  PR 27106.
  | Security [CAN-2003-0020 (cve.mitre.org)]: Escape arbitrary data
  |   before writing into the errorlog. Unescaped errorlogs are still
  |   possible using the compile time switch
  |   "-DAP_UNSAFE_ERROR_LOG_UNESCAPED".
  | mod_ssl:
  |  - Send the Close Alert message to the peer before closing the
  |    SSL session.  PR 27428.
  |  - Fix bug in passphrase handling which could cause spurious
  |    failures in SSL functions later.  PR 21160.
  |  - Fix potential segfault on lookup of SSL_SESSION_ID.  PR 15057.
  |  - Fix streaming output from an nph- CGI script. PR 21944
  |  - Advertise SSL library version as determined at run-time rather
  |    than at compile-time.  PR 23956.
  |  - Fix segfault on a non-SSL request if the 'c' log format code
  |    is used.  PR 22741.
  |  - Fix segfaults at startup if other modules which use OpenSSL
  |    are also loaded.
  |  - Use human-readable OpenSSL error strings in logs; use
  |    thread-safe interface for retrieving error strings.
  | mod_cache:
  |  - Fixed cache-removal order in mod_mem_cache.
  |  - Fix segfault in mod_mem_cache cache_insert() due to cache size
  |    becoming negative.  PR: 21285, 21287
  |  - Modified the cache code to be header-location agnostic. Also
  |    fixed a number of other cache code bugs related to PR 15852.
  |    Includes a patch submitted by Sushma Rai <rsushma novell.com>.
  |    This fixes mod_mem_cache but not mod_disk_cache yet so I'm not
  |    closing the PR since that is what they are using.
  | mod_dav:
  |  - Reject requests which include an unescaped fragment in the
  |    Request-URI.  PR 21779.
  |  - Use bucket brigades when reading PUT data. This avoids
  |    problems if the data stream is modified by an input filter. PR
  |    22104.
  |  - Return a WWW-auth header for MOVE/COPY requests where the
  |    destination resource gives a 401.  PR 15571.
  |  - Fix a problem with namespace mappings being dropped in
  |    mod_dav_fs; if any property values were set which defined
  |    namespaces these came out mangled in the PROPFIND response.
  |    PR 11637.
  | mod_expires:
  |  - Initialize ExpiresDefault to NULL instead of "" to avoid
  |    reporting an Internal Server error if it is used without
  |    having been set in the httpd.conf file. PR: 23748, 24459
  |  - Add support for IMT minor-type wildcards (e.g., text/*) to
  |    ExpiresByType.  PR#7991
  | mod_log_config / logging:
  |  - Fix some piped log problems: bogus "piped log program '(null)'
  |    failed" messages during restart and problem with the logger
  |    respawning again after Apache is stopped.  PR 21648, PR 24805.
  |  - mod_log_config: Fix corruption of buffered logs with threaded
  |    MPMs.  PR 25520.
  |  - mod_log_config: Log the minutes component of the timezone correctly.
  |    PR 23642.
  | mod_proxy*:
  |  - proxy_http fix: mod_proxy hangs when both KeepAlive and
  |    ProxyErrorOverride are enabled, and a non-200 response without a
  |    body is generated by the backend server. (e.g.: a client makes a
  |    request containing the "If-Modified-Since" and "If-None-Match"
  |    headers, to which the backend server respond with status 304.)
  |  - Fix memory leak in handling of request bodies during reverse
  |    proxy operations.  PR 24991.
  |  - mod_proxy: Fix cases where an invalid status-line could be sent
  |    to the client.  PR 23998.
  | mod_rewrite:
  |  - Catch an edge case, where strange subsequent RewriteRules
  |    could lead to a 400 (Bad Request) response.
  |  - Make REMOTE_PORT variable available in mod_rewrite.  PR 25772.
  |  - In external rewrite maps lookup keys containing
  |    a newline now cause a lookup failure. PR 14453.
  |  - Fix RewriteBase directive to not add double slashes.
  | mod_usertrack:
  |  - Fix bug in mod_usertrack when no CookieName is set.
  |  - mod_usertrack no longer inspects the Cookie2 header for
  |    the cookie name. PR 11475.
  |  - mod_usertrack no longer overwrites other cookies.
  |    PR 26002.
  | mod_include, filters:
  |  - Backport major overhaul of mod_include's filter parser from 2.1.
  |    The new parser code is expected to be more robust and should
  |    catch all of the edge cases that were not handled by the previous one.
  |    The 2.1 external API changes were hidden by a wrapper which is
  |    expected to keep the API backwards compatible.
  |  - Add a hook (insert_error_filter) to allow filters to re-insert
  |    themselves during processing of error responses. Enable mod_expires
  |    to use the new hook to include Expires headers in valid error
  |    responses. This addresses an RFC violation. It fixes PRs 19794,
  |    24884, and 25123.
  |  - complain via error_log when mod_include's INCLUDES filter is
  |    enabled, but the relevant Options flag allowing the filter to run
  |    for the specific resource wasn't set, so that the filter won't
  |    silently get skipped. next remove itself, so the warning will be
  |    logged only once
  |  - Fix mod_include's expression parser to recognize strings correctly
  |    even if they start with an escaped token.
  |  - Fix a problem with the display of empty variables ("SetEnv foo") in
  |    mod_include.  PR 24734
  |  - mod_include no longer allows an ETag header on 304 responses.
  |    PR 19355.
  | mod_autoindex:
  |  - Don't omit the <tr> start tag if the SuppressIcon option is
  |    set. PR 21668.
  |  - Restore the ability to add a description for directories that
  |    don't contain an index file.  (Broken in 2.0.48)
  |  - mod_autoindex / core: Don't fail to show filenames containing
  |    special characters like '%%'. PR 13598.
  |  - Add 'XHTML' option in order to allow switching between HTML
  |    3.2 and XHTML 1.0 output. PR 23747.
  | mod_status:
  |  - Add mod_status hook to allow modules to add to the mod_status
  |    report.
  |  - Report total CPU time accurately when using a threaded MPM.
  |    PR 23795.
  | mod_info:
  |  - Fix mod_info to use the real config file name, not the default
  |    config file name.
  |  - HTML escape configuration information so it displays
  |    correctly. PR 24232.
  | mod_auth_digest:
  |  - Allow mod_auth_digest to work with sub-requests with different
  |    methods than the original request.  PR 25040.
  | mod_auth_ldap:
  |  - Fix some segfaults in the cache logic.  PR 18756.
  | mod_cgid:
  |  - Restart the cgid daemon if it crashes.  PR 19849
  | mod_setenvif:
  |  - Fix the regex optimizer, which under circumstances
  |    treated the supplied regex as literal string. PR 24219.
  | miscellaneous:
  |  - core.c: If large file support is enabled, allow any file that is
  |    greater than AP_MAX_SENDFILE to be split into multiple buckets.
  |    This allows Apache to send files that are greater than 2gig.
  |    Otherwise we run into 32/64 bit type mismatches in the file size.
  |  - Fixed file extensions for real media files and removed rpm extension
  |    from mime.types. PR 26079.
  |  - Remove compile-time length limit on request strings. Length is
  |    now enforced solely with the LimitRequestLine config directive.
  |  - Set the scoreboard state to indicate logging prior to running
  |    logging hooks so that server-status will show 'L' for hung loggers
  |    instead of 'W'.
  |  - Fix the inability to log errors like exec failure in
  |    mod_ext_filter/mod_cgi script children.  This was broken after
  |    such children stopped inheriting the error log handle.
  |  - fix "Expected </Foo>> but saw </Foo>" errors in nested,
  |    argumentless containers.
  |  - ap_mpm.h: Fix include guard of ap_mpm.h to reference mpm
  |    instead of mmn.
  |  - Add Polish translation of error messages.  PR 25101.
  |  - Add AP_MPMQ_MPM_STATE function code for ap_mpm_query.
  |  - Fix htdbm to generate comment fields in DBM files correctly.
  |  - Correct UseCanonicalName Off to properly check incoming port number.
  |  - Fix slow graceful restarts with prefork MPM.
  |  - Keep focus of ITERATE and ITERATE2 on the current module when
  |    the module chooses to return DECLINE_CMD for the directive.
  |    PR 22299.
  |  - Build array of allowed methods with proper dimensions, fixing
  |    possible memory corruption.
  |  - worker MPM: fix stack overlay bug that could cause the parent
  |    process to crash.
  |  - Add XHTML Document Type Definitions to httpd.h (minor MMN bump).
  |  - Fix build with parallel make.  PR 24643.
  |  - Add fatal exception hook for use by diagnostic modules.  The hook
  |    is only available if the --enable-exception-hook configure parm
  |    is used and the EnableExceptionHook directive has been set to
  |    "on".
  |  - Improve 'configure --help' output for some modules.
- drop two hunks from httpd-2.0.47-headtail.dif (buildcheck.sh is
  fixed)
- disable automatic restarts, because they do not work properly
  [#35408]
- change MMN to prevent loading of incompatible modules (modules
  that are not built with `apxs -q CFLAGS` and therefore miss
  _FILE_OFFSET_BITS=64). Provide our old apache_mmn_20020903 in
  addition.
- use CPPFLAGS for passing preprocessor flags because they are
  removed from CFLAGS
- Stop dropping connections when the file descriptor
  is at least FD_SETSIZE. This isn't a problem on Linux because
  poll() is used instead of select() by APR. Assert HAVE_POLL.
  [#34178]
- add modifications to the code to the NOTICE file as required by
  the new license
* Fri Feb 27 2004 - poeml@suse.de
- compile with -DSSL_EXPERIMENTAL_ENGINE to allow usage of hardware
  crypto accelerators
- compile with -DMAX_SERVER_LIMIT=200000
- if an SSL passphrase is not entered within the timeout, fall back
  to start apache without SSL (with -D NOSSL). This could/should be
  made configurable.
- clean up output of SuSEconfig.apache2
- add pre-defined LogFormat "vhost_combined"
- configure /var/lib/apache2 for WebDAV locks
- add a readme about configuring WebDAV with digest authentication
- add default configuration for mod_usertrack (this is the current
  workaround for the problem in the 1.3.29/2.0.48 release that
  occurs if no CookieName is configured)
- in vhost.template, enclose all virtual host configuration in the
  VirtualHost container
- update metuxmpm patch to r7
- fix test run as non-root
* Tue Jan 13 2004 - schwab@suse.de
- Fix quoting in autoconf macros.
* Sat Dec 13 2003 - poeml@suse.de
- add changes to gensslcert from Volker Kuhlmann [#31803]
- revert default character set from UTF-8 to ISO-8859-1, and revert
  the misleading comment that talked about filenames while it is
  all about content of the files
* Tue Nov 18 2003 - poeml@suse.de
- add a ServerLimit directive to server-tuning.conf, so it's
  already in the right place if someone needs to tweak it [#32852]
* Fri Nov 07 2003 - poeml@suse.de
- mark apache2-manual.conf in %%files doc as %%config
- wrap directives specific to the mod_negotiation module into an
  <IfModule> block [#32848]
* Thu Oct 30 2003 - poeml@suse.de
- update to 2.0.48. Relevant / user visible changes are:
  Security [CAN-2003-0789]: Resolve some mishandling of the AF_UNIX
  socket used to communicate with the cgid daemon and the CGI
  script.
  Security [CAN-2003-0542]: Fix buffer overflows in mod_alias and
  mod_rewrite which occurred if one configured a regular
  expression with more than 9 captures.
  mod_rewrite:
- Don't die silently when failing to open RewriteLogs. PR 23416
- Fix support of the [P] option to send rewritten request using
  "proxy:". The code was adding multiple "proxy:" fields in the
  rewritten URI. PR: 13946.
- Ignore RewriteRules in .htaccess files if the directory
  containing the .htaccess file is requested without a trailing
  slash.  PR 20195.
  mod_include:
- Fix a trio of bugs that would cause various unusual sequences
  of parsed bytes to omit portions of the output stream. PR 21095
- fix segfault which occured if the filename was not set, for
  example, when processing some error conditions.
  mod_cgid: fix a hash table corruption problem which could
  result in the wrong script being cleaned up at the end of a
  request.
  mod_ssl: Fix segfaults after renegotiation failure. PR 21370
- Fix a problem setting variables that represent the client
  certificate chain.  PR 21371
- Fix FakeBasicAuth for subrequest.  Log an error when an
  identity spoof is encountered.
- Assure that we block properly when reading input bodies with
  SSL.  PR 19242.
  mod_autoindex: If a directory contains a file listed in the
  DirectoryIndex directive, the folder icon is no longer replaced
  by the icon of that file. PR 9587.
  mod_usertrack: do not get false positive matches on the
  user-tracking cookie's name. PR 16661.
  mod_cache:
- Fix the cache code so that responses can be cached if they
  have an Expires header but no Etag or Last-Modified headers.
  PR 23130.  cache_util: Fix ap_check_cache_freshness to check
  max_age, smax_age, and expires as directed in RFC 2616.
  mod_deflate:
- fix to not call deflate() without checking first whether it
  has something to deflate. (Currently this causes deflate to
  generate a fatal error according to the zlib spec.) PR 22259.
- Don't attempt to hold all of the response until we're done.
- Fix a bug, where mod_deflate sometimes unconditionally
  compressed the content if the Accept-Encoding header
  contained only other tokens than "gzip" (such as "deflate").
  PR 21523.
  mod_proxy: Don't respect the Server header field as set by
  modules and CGIs.  As with 1.3, for proxy requests any such
  field is from the origin server; otherwise it will have our
  server info as controlled by the ServerTokens directive.
  mod_log_config: Fix %%b log format to write really "-" when 0
  bytes were sent (e.g. with 304 or 204 response codes).
  mod_ext_filter: Set additional environment variables for use by
  the external filter.  PR 20944.
  core:
- allow <Foo>..</Foo> containers (no arguments in the opening
  tag), as in 1.3. Needed by mod_perl <Perl> sections
- Fix a misleading message from the some of the threaded MPMs
  when MaxClients has to be lowered due to the setting of
  ServerLimit.
- Avoid an infinite recursion, which occured if the name of an
  included config file or directory contained a wildcard
  character. PR 22194.
- MPMs: The bucket brigades subsystem now honors the MaxMemFree
  setting.
- Lower the severity of the "listener thread didn't exit"
  message to debug, as it is of interest only to developers.
  miscellaneous:
- Update the header token parsing code to allow LWS between the
  token word and the ':' seperator.  [PR 16520]
- Remember an authenticated user during internal redirects if
  the redirection target is not access protected and pass it to
  scripts using the REDIRECT_REMOTE_USER environment variable.
  PR 10678, 11602.
- Update mime.types to include latest IANA and W3C types.
- Modify ap_get_client_block() to note if it has seen EOS.
  ab:
- Overlong credentials given via command line no longer clobber
  the buffer.
- Work over non-loopback on Unix again. PR 21495.
- Fix NULL-pointer issue in ab when parsing an incomplete or
  non-HTTP response. PR 21085.
- add another example to apache2-listen.conf
- update apache2-mod_mime-defaults.conf according to 2.0.48 changes
  (be clearer in describing the connection between AddType and
  AddEncoding for defining the meaning of compressed file
  extensions.)
- use a better example domain name in apache2-vhost-ssl.template
- the "define version_perl" was nowhere needed
* Mon Sep 22 2003 - mls@suse.de
- don't provide httpddoc in apache2-doc
* Thu Sep 18 2003 - poeml@suse.de
- add mod_php4 to the default list of APACHE_MODULES, and change
  get_module_list to ignore non-existant modules (warnings will
  be issued when it is run from SuSEconfig, but not from the init
  script). How to enable the PHP4 module has been the most
  frequently asked questions in user feedback [cf to #29735].
  This bug is tracked in [#31306]
- include conf.d/*.conf by default, as it was the case until
  recently. User feedback showed that for many people the
  separation of configuration includes into individual virtual
  hosts is overkill, and it complicates the setup too much. More
  finegrained control can be achieved by commenting out the
  respective line in the default server config. [#30866], [#29735]
- remove the FIXME at the end of httpd.conf (obsoleted by the above
  change), and place a strategical comment there about .local files
- add <IfDefine SSL> container around configuration in ssl template
* Tue Sep 09 2003 - poeml@suse.de
- change comment in sysconfig template to work around a fillup bug
  [#30279]
* Mon Sep 08 2003 - poeml@suse.de
- fix wrong variable name in a comment of the sysconfig template
- update README.QUICKSTART
- add README.QUICKSTART.SSL
* Mon Sep 08 2003 - poeml@suse.de
- remove unused ENABLE_SUSECONFIG_APACHE from sysconfig template
* Fri Sep 05 2003 - poeml@suse.de
- disallow UserDir for user root
- cope with "no" or "yes" as values for APACHE_SERVERSIGNATURE, as
  they were set on SuSE Linux 8.1
- add more documentation to README.QUICKSTART, also mentioning what
  might be too obvious: the document root [#29674]
- in %%post, diff to httpd.conf.default only when .rpmnew is present
- improve message sent on update
* Fri Aug 29 2003 - poeml@suse.de
- improve documentation on configuration
- compile with -Wall
- do not obsolete httpddoc, which is provided by apache-doc package
  from apache1
- add conflict apache2-example-pages <-> apache-example-pages
- fix building on older distros
* Tue Aug 19 2003 - poeml@suse.de
- use httpd-2.0.47-metuxmpm-r6.diff, previous one was broken by me
- don't force setting of a DocumentRoot, because the configuration
  of the default vhost already contains it
- when testing on SL 8.0, the www group has to be created as well
- when testing on even older systems, don't add buildroot to
  DocumentRoot in default-server.conf
* Fri Aug 15 2003 - poeml@suse.de
- revamped configuration
- add some CustomLog formats
- AddDefaultCharset UTF-8 [#22427]
- add activation metadata to sysconfig template [#28834]
- default APACHE_MODULES: add mod_ssl, remove mod_status
- new sysconfig variables: APACHE_USE_CANONICAL_NAME,
  APACHE_DOCUMENT_ROOT
- get rid of the "suse_" prefix in generated config snippets, and
  place them below /etc/apache2/sysconfig.d/. On update, convert
  the Include statements in httpd.conf for the new locations
- add /etc/apache2/vhosts.d and virtual host templates
- the configuration for the manual is now seperate and installed
  together with apache2-doc (conf.d/apache2-manual.conf)
- add distilled wisdom in form of README.QUICKSTART
- change group of wwwrun user: nogroup -> www [#21782]
- proxycachedir and localstatedir should not be world readable
- set DEFAULT_PIDLOG to /var/run/httpd2.pid, so we don't need to
  configure the PidFile directive
- add -fno-strict-aliasing, due to warnings about code where
  dereferencing type-punned pointers will break strict aliasing
- clean the RPM_BUILD_ROOT, but not in the build system
- new macros for stop/restart of services on rpm update/removal,
  and improved try-restart section in rc.apache2
- get rid of "modules" subdir, and remove dead code from
  SuSEconfig.apache2
- add some tools: get_includes, find_httpd2_includes,
  apache2-reconfigure-mpm
- rename README.SuSE to README.{SuSE,UnitedLinux}
- include directories in filelists of MPM subpackages
- enclose package descriptions of MPMs in %%ifdef
- add a dependency of the MPM subpackages on the version of the
  main package
- build a new MPM: metuxmpm (httpd-2.0.47-metuxmpm.diff)
* Mon Jul 28 2003 - poeml@suse.de
- add new sysconfig variables: APACHE_LOGLEVEL, APACHE_ACCESS_LOG,
  and remove the respective directives from httpd.conf.dist
- merge the ssl.conf.dif and httpd.conf.dif into one patch
* Sun Jul 27 2003 - poeml@suse.de
- build with -D_FILE_OFFSET_BITS=64 when presumably the kernel
  supports sendfile64 [#22191, #22018]. Define APR_HAS_LARGE_FILES
  (which is unconditionally off, otherwise). Keep
-D_LARGEFILE_SOURCE since some modules might need it.
- make sure the package can be built as ordinary user
- special case mod_auth_mysql since its module_id is reversed
- don't increase DYNAMIC_MODULE_LIMIT (64 should be copious)
- don't explicitely strip binaries since RPM handles it, and may
  keep the stripped information somewhere
- reformat the header of the spec file
- allow to pass a number-of-jobs parameter into spec file via rpm
--define 'jobs N'
* Thu Jul 10 2003 - poeml@suse.de
- update to 2.0.47. relevant / user visible changes:
  Security [CAN-2003-0192]: Fixed a bug whereby certain sequences
  of per-directory renegotiations and the SSLCipherSuite
  directive being used to upgrade from a weak ciphersuite to a
  strong one could result in the weak ciphersuite being used in
  place of the strong one.
  Security [CAN-2003-0253]: Fixed a bug in prefork MPM causing
  temporary denial of service when accept() on a rarely accessed
  port returns certain errors.
  Security [CAN-2003-0254]: Fixed a bug in ftp proxy causing denial
  of service when target host is IPv6 but proxy server can't
  create IPv6 socket.  Fixed by the reporter.
  Security [VU#379828]: Prevent the server from crashing when entering
  infinite loops. The new LimitInternalRecursion directive
  configures limits of subsequent internal redirects and nested
  subrequests, after which the request will be aborted.  PR 19753+
  core:
  core_output_filter: don't split the brigade after a FLUSH
  bucket if it's the last bucket.  This prevents creating
  unneccessary empty brigades which may not be destroyed until
  the end of a keepalive connection.
  mod_cgid:
  Eliminate a double-close of a socket.  This resolves various
  operational problems in a threaded MPM, since on the second
  attempt to close the socket, the same descriptor was often
  already in use by another thread for another purpose.
  mod_negotiation:
  Introduce "prefer-language" environment variable, which allows
  to influence the negotiation process on request basis to prefer
  a certain language.
  mod_expire:
  Make ExpiresByType directive work properly, including for
  dynamically-generated documents.
- apr bugfixes
- more fixes of deprecated head/tail -1 calls
* Wed May 28 2003 - poeml@suse.de
- update to 2.0.46. relevant / user visible changes:
  Security [CAN-2003-0245]: Fixed a bug that could be triggered
  remotely through mod_dav
  Security [CAN-2003-0189]: Fixed a denial-of-service
  vulnerability affecting basic authentication
  Security: forward port of buffer overflow fixes for htdigest.
  mod_ssl:
- SSL session caching(shmht) : Fix a SEGV problem with SHMHT
  session caching.
  mod_deflate:
- Add another check for already compressed content
- Check also err_headers_out for an already set
  Content-Encoding: gzip header. This prevents gzip compressed
  content from a CGI script from being compressed once more.
  mod_mime_magic:
- If mod_mime_magic does not know the content-type, do not
  attempt to guess.
  mod_rewrite:
- Fix handling of absolute URIs.
  mod_log_config:
- Add the ability to log the id of the thread processing the
  request via new %%P formats.
  mod_auth_ldap:
- Use generic whitespace character class when parsing "require"
  directives, instead of literal spaces only.
  mod_proxy:
- Fixed a segfault when multiple ProxyBlock directives were used.
- Added AllowEncodedSlashes directive to permit control of
  whether the server will accept encoded slashes ('%%2f') in the
  URI path.  Default condition is off (the historical behaviour).
- If Apache is started as root and you code CoreDumpDirectory,
  coredumps are enabled via the prctl() syscall.
- htpasswd: Check the processed file on validity; add a delete flag.
- httpd-2.0.45-libtool-1.5.dif is obsolete
- mark suse_include.conf as %%ghost
- note the rebirth of the httpd and apachectl man pages (thanks to
  RPMv4 :)
- let the module RPM packages only depend on the _major_ module
  magic number, not on the minor
- fix some paths in config_vars.mk, which facilitates building of
  certain modules
* Wed May 14 2003 - poeml@suse.de
- use mmap() via MAP_ANON as shared memory allocation method, to
  prevent restart problems with stale (or in use) files that are
  associated with shared memory
- package forgotten files, and remove hack in %%clean
- remove files from the build root that are not packaged
- remove suse_include.conf from filelist
* Fri May 09 2003 - poeml@suse.de
- update to 2.0.45. relevant / user visible changes:
  Security:  Eliminated leaks of several file descriptors to
  child processes, such as CGI scripts.  This fix depends on the
  latest APR library release 0.9.2, which is distributed with the
  httpd source tarball for Apache 2.0.45.  PR 17206
  Security [CAN-2003-0132]: Close a Denial of Service
  vulnerability identified by David Endler <DEndler@iDefense.com>
  on all platforms.
  General:
- Fix segfault which occurred when a section in an included
  configuration file was not closed. PR 17093.
- Fix a nasty segfault in mmap_bucket_setaside() caused by
  passing an incompatible pointer type to mmap_bucket_destroy(void*).
- prevent filters (such as mod_deflate) from adding garbage to
  the response. PR 14451.
- Simpler, faster code path for request header scanning
- Try to log an error if a piped log program fails.  Try to
  restart a piped log program in more failure situations.
- Fix bug where 'Satisfy Any' without an AuthType lost all MIME
  information (and more). Related to PR 9076.
- Fix If header parsing when a non-mod_dav lock token is passed to it.
- Fix apxs to insert LoadModule directives only outside of
  sections.
- apxs: Include any special APR ld flags when linking the DSO.
  suexec: Be more pedantic when cleaning environment. Clean it
  immediately after startup. PR 2790, 10449. Use saner default
  config values for suexec. PR 15713.
  mod_cgi, mod_cgid, mod_ext_filter: Log errors when scripts cannot
  be started on Unix because of such problems as bad permissions,
  bad shebang line, etc. Fix possible segfaults under obscure
  error conditions within the cgid daemon.
  mod_deflate:
- you can now specify the compression level.
- Extend the DeflateFilterNote directive to allow accurate
  logging of the filter's in- and outstream.
- Fix potential memory leaks in mod_deflate on malformed data.  PR 16046.
  mod_ssl:
  Allow SSLMutex to select/use the full range of APR locking
  mechanisms available to it. Also, fix the bug that SSLMutex
  uses APR_LOCK_DEFAULT no matter what.  PR 8122
  mod_autoindex no longer forgets output format and enabled version
  sort in linked column headers.
  mod_rewrite:
- Prevent endless loops of internal redirects in mod_rewrite by
  aborting after exceeding a limit of internal redirects. The
  limit defaults to 10 and can be changed using the
  RewriteOptions directive. PR 17462.
- Allow "RewriteEngine Off" even if no "Options FollowSymlinks"
  (or SymlinksIfOwnermatch) is set. PR 12395.
  mod_ldap:
- Updated mod_ldap and mod_auth_ldap to support the Novell LDAP
  SDK SSL and standardized the LDAP SSL support across the
  various LDAP SDKs.  Isolated the SSL functionality to
  mod_ldap rather than speading it across mod_auth_ldap and
  mod_ldap.  Also added LDAPTrustedCA and LDAPTrustedCAType
  directives to mod_ldap to allow for a more common method of
  specifying the SSL certificate.
- fix fault when caching was disabled, and some memory leaks
- Fix mod_ldap to open an existing shared memory file should
  one already exist. PR 12757.
- Added character set support to mod_auth_LDAP to allow it to
  convert extended characters used in the user ID to UTF-8
  before authenticating against the LDAP directory. The new
  directive AuthLDAPCharsetConfig is used to specify the config
  file that contains the character set conversion table.
  mod_ssl:
- Fixed mod_ssl's SSLCertificateChain initialization to no
  longer skip the first cert of the chain by default.  This
  misbehavior was introduced in 2.0.34.  PR 14560
- Fix 64-bit problem in mod_ssl input logic.
  mod_proxy:
- Hook mod_proxy's fixup before mod_rewrite's fixup, so that by
  mod_rewrite proxied URLs will not be escaped accidentally by
  mod_proxy's fixup. PR 16368
- Don't remove the Content-Length from responses in mod_proxy PR: 8677
  mod_auth_digest no longer tries to guess AuthDigestDomain, if it's
  not specified. Now it assumes "/" as already documented. PR 16937.
  mod_file_cache: fix segfaults
- improve the start/restart section of the init script, and add a
  ssl_scache_cleanup script
- understand a syntax like -DSTATUS, as described in the sysconfig
  file help text (bug noted in #25404]
- don't package the *.exp files, as they are needed only on AIX
- fix filelist for usage of %%dir for files
- fix the cosmetical but irritating "Inappropriate ioctl for
  device" error message, when rcapache2 is called from within YaST
- remove the unused /etc/apache2/modules directory from the package
- remove the now unused --enable-experimental-libtool
- fix to build with libtool-1.5
* Wed Apr 09 2003 - ro@suse.de
- fix deprecated head/tail call syntax "-1"
* Mon Mar 17 2003 - kukuk@suse.de
- Remove suse_help_viewer from provides [Bug #25436]
* Thu Mar 13 2003 - poeml@suse.de
- security fix: do not write the startup log file to a world
  writable directory, reversing the change of Jan 23 (wasn't in any
  released package) [#25239]
* Mon Mar 10 2003 - poeml@suse.de
- change permissions of /var/log/apache2 from wwwrun:root mode 770
  to root:root mode 750 [#24951]
- fix wrong list() in sysconfig.apache2 [#24719], and add a missing
  default value
* Mon Mar 03 2003 - kukuk@suse.de
- Remove ghost entry for pid file [Bug #24566]
* Thu Feb 27 2003 - poeml@suse.de
- use the official MIME types, which are more complete [#23988]
* Mon Feb 24 2003 - poeml@suse.de
- don't include log files into the package, and don't touch them in
  %%post; it's not needed
- fix comment in httpd.conf talking about SuSEconfig
- adjust some variable types in the sysconfig template
* Tue Feb 18 2003 - poeml@suse.de
- apache2 Makefiles do support DESTDIR now, so let's use that
  instead of the explicit paths (fixes a wrong path in
  config_vars.mk [#23699]).  Some files (*.exp, libapr*) are
  automatically installed in the right location now.
* Fri Feb 14 2003 - poeml@suse.de
- fix configuration script to find apache modules on 64 bit archs
- mark ssl.conf (noreplace)
* Mon Feb 10 2003 - poeml@suse.de
- add mod_ldap, mod_auth_ldap, but link only them against the LDAP
  libs. Likewise, do not link everything against ssl libs. This way
  we can avoid RPM package (and build) requirements on a lot of
  libs for subversion and other packages that build on apache.
- move more code from SuSEconfig into rcapache2 (actually into
  support scripts below /usr/share/apache2/, so apache2 can be
  configured without starting it)
- improve full-server-status once again
- remove suse_loadmodule.conf from filelist
- remove obsolete README.modules
- rename LOADMODULES -> APACHE_MODULES
- add APACHE_BUFFERED_LOGS
- update README.SuSE
* Tue Jan 28 2003 - poeml@suse.de
- rc.apache2
- add extreme-configtest (trying to run server as nobody, which
  detects _all_ config errors)
- evaluate LOADMODULES from sysconfig.apache2 on-the-fly from
  rcapache2 instead of SuSEconfig
- when restarting, do something useful instead of 'sleep 3': wait
  just as long until the server has terminated all children
* Sun Jan 26 2003 - poeml@suse.de
- build mod_logio, mod_case_filter, mod_case_filter_in
- rename apr subpackage to libapr0 (the library is called libapr-0
  meanwhile). add compatibility links named (libapr{,util}.so.0)
- configure SSL session caching with shm circular buffer
  SSLSessionCache         shm:/var/lib/httpd/ssl_scache
  SSLSessionCacheTimeout  600
  SSLMutex  sem
- SuSEconfig.apache2: prefer prefork MPM over worker, if guessing
- strip objects
- rename gensslcert2 to gensslcert
- show a list all available modules in /etc/sysconfig/apache2
- nicer output of apache2ctl
- reorder Requires
* Thu Jan 23 2003 - poeml@suse.de
- update to 2.0.44
- obsoletes patch httpd-2.0.43-mod_ssl-memory-leak.dif
- the apachectl and httpd man pages have been dropped upstreams
- add robots.txt to the example-pages subpackage that blocks spiders
- disable the perchild MPM
- disable httpd-2.0.36-64bit.dif
- rename apachectl2 to apache2ctl
- write the startup log to /var/tmp instead of /var/log/apache2
* Sun Jan 12 2003 - poeml@suse.de
- fix last fix (rpm macro before hash wasn't expanded)
* Fri Jan 10 2003 - poeml@suse.de
- fix lib64 path in SuSEconfig
* Fri Jan 03 2003 - poeml@suse.de
- fix typo in spec file, preventing replacement of @userdir@ in
  httpd.conf-std.in
* Wed Dec 18 2002 - poeml@suse.de
- sysconfig.apache2:
- add APACHE_SERVER_FLAGS variable
- change default: APACHE_SERVERSIGNATURE=on to match apache deflt
- add APACHE_CONF_INCLUDE_DIRS
- drop bogus APACHE_ACCESS_SERVERINFO variable
- adapt to our new sysconfig template
- SuSEconfig.apache2:
- understand LOADMODULES also if it is not an array [#21816]
- be very flexible with regard to LOADMODULE input (e.g., say
  mod_php4 and it will find libphp4.so with ID php4_module)
- also ignore *,v files
- include APACHE_CONF_INCLUDE_DIRS
- dump some files: suse_define.conf (not needed) & suse_text.conf
  (too much overhead)
- rc.apache2:
- implement most of apachectl's commands (graceful, configtest)
- use server_flags from sysconfig.apache2
- pass server flags like -DSTATUS from the command line through
  to httpd2
- add commmands to show the server status
- don't quit silently when no apache MPM is installed
- handle ServerSignature and other stuff on the command line
  (save modifications to httpd.conf)
- fix the /manual Alias that points to the documentation
- configure /cgi-bin for cgi execution
- configure /home/*/public_html for mod_userdir -- if it is loaded
- configure internationalized error responses
- fix apachectl2
- add /etc/apache2/{,modules} to the filelist
- add /etc/apache2/conf.d as drop-in directory for packages
- hard code some more default paths into the executable
- finally, run a test!
* Thu Dec 05 2002 - poeml@suse.de
- move ap{r,u}-config* into the apr package, as well
- add generic ap{r,u}-config
- add %%includedir to filelist
* Thu Dec 05 2002 - poeml@suse.de
- more checks and warnings to SuSEconfig.apache2
- shift APR files into the the apr package
- try 1.136 revision of perchild.c
* Tue Dec 03 2002 - poeml@suse.de
- add forgotten ssl.conf to the filelist (thanks, Robert)
- add httpd-2.0.43-mod_ssl-memory-leak.dif
* Mon Oct 14 2002 - poeml@suse.de
- update to 2.0.43, that fixes a Cross-Site Scripting bug (CVE:
  CAN-2002-0840)
* Mon Oct 07 2002 - poeml@suse.de
- do not append a '2' suffix to the scripts included with the
  documentation
- move error, icons and manual dir to /usr/share/apache2
- fix nested array in SuSEconfig.apache2
- let SuSEconfig pick one MPM that is installed. Do not default to
  "worker". [#20724]
* Thu Oct 03 2002 - poeml@suse.de
- update to 2.0.42 (primarily a bug-fix release, including updates
  to the experimental caching module, the removal of several memory
  leaks, and fixes for several segfaults, one of which could have
  been used as a denial-of-service against mod_dav (VU#406121).)
- increase flexibility of the spec file: build any set of MPMs,
  depending on RPM %%defines. Improve the mechanism that merges the
  modules so it works with any number of MPMs.
- use a "Server:" header that fits the product apache is built for
- add an RPM dependency on the module magic number to the MPM
  subpackages
- build the "leader/follower" MPM. On i686, enable nonportable but
  faster atomics for it.
- use filelists for more flexibility. APRVARS ceased to exist.
  Don't add README* twice.
- perchild: use AcceptMutex fcntl to prevent permission conflict as
  suggested in Apache Bugzilla #7921
- remove mod_rewrite and mod_proxy from the default modules
- build the mod_auth_digest module
* Mon Sep 09 2002 - poeml@suse.de
- add patch that changes PLATFORM (as seen in the HTTP Server
  header) from "Unix" to "SuSE/Linux" [#18543]
- add README.SuSE, explaining how to build modules with apxs2
- fixed some paths in README.modules, put it into docdir and mark
  it as %%doc
* Wed Aug 28 2002 - poeml@suse.de
- new package, now building all three MPMs and putting all specific
  modules in specific directories. Branch a subpackage for each
  MPM, containing the server and MPM-specific modules.
- branch apr package off, so apache2 doesn't need to be installed
  to have the libs. (apr is not released yet, that's why we build
  it here)
- allow coexistence of apache1 by using directories named apache2
  or suffixed with "2"
- allow building modules via apxs2 (for all server MPMs) --- or via
  apxs2-{worker,perchild,prefork} for a specific server MPM
- add permissions.apache2 setting /usr/sbin/suexec2 to 4755
- rewrite SuSEconfig.apache2 for apache 2.
- add httpd-2.0.40-cache_util.c.diff that prevents a segfault in
  mod_proxy when given an invalid URL
- branch apache2-example-pages off (docroot contents)
* Mon Aug 19 2002 - poeml@suse.de
- actually use the new SuSE81 layout, and add SuSE81_64 layout
- cleaned up httpd-2.0.36-conf.dif
- fixed comment in SuSEconfig.apache
- drop SuSEconfig subpackage
- split main package and -devel package in three packages, one for
  each MPM...
  apache2       -> apache2-{worker,perchild,prefork}
  apache2-devel -> apache2-{worker,perchild,prefork}-devel
* Mon Aug 12 2002 - poeml@suse.de
- bugfix update to 2.0.40
- fix Requires of -devel subpackage
- add variable to sysconfig.apache to switch off SuSEconfig.apache
- add new layout SUSE81 to config.layout due to the moved server
  root (so the old SuSE6.1 can be kept for building on older
  distributions)
- one of the lib64 path fixes could be removed, now included
  upstream
* Wed Aug 07 2002 - poeml@suse.de
- put PreReq in an if-statement to allow building on older distris
- relax the Requires
- the apache_mmn macro had to be moved down in the spec file to be
  evaluated
- libmm is not needed for building (and it is not threadsafe)
- fix config.layout for the moved server root
* Fri Aug 02 2002 - poeml@suse.de
- fix libdir in config.layout for lib64
* Fri Aug 02 2002 - poeml@suse.de
- fix RPM Requires
* Thu Aug 01 2002 - poeml@suse.de
- move datadir (i.e., ServerRoot) from /usr/local/httpd to /srv/www
- drop obsolete README.SuSE
* Thu Aug 01 2002 - poeml@suse.de
- spec file: use PreReq
- don't delete SuSEconfig's md5 files in %%post, that's no good
- add apache.logrotate
- provide the magic module number as executable script
  (/usr/lib/apache/MMN) and as RPM Provides, indicating API changes
- mark httpd.conf noreplace
- fix installbuilddir in config.layout, needed for apxs
* Sun Jul 14 2002 - poeml@suse.de
- update to 2.0.39
- drop obsolete moduledir and apxs patches
- rc.apache INIT section: use X-UnitedLinux-Should-Start
* Wed Jul 03 2002 - ro@suse.de
- rename to "apache2" again
* Tue Jun 11 2002 - ro@suse.de
- get apxs to work:
  include needed files in devel package
  adapt some pathes in apxs
* Wed May 29 2002 - poeml@suse.de
- update to 2.0.36
- drop mod_ssl subpackage; mod_ssl is part of the apache bsae
  distribution now
- RPM can be built as user now
- SuSEconfig.apache: understand relative and absolute pathnames
- disable experimental auth_digest_module
